summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/prepman
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/prepman')
-rwxr-xr-xbin/ebuild-helpers/prepman9
1 files changed, 5 insertions, 4 deletions
diff --git a/bin/ebuild-helpers/prepman b/bin/ebuild-helpers/prepman
index f96b64147..142d40443 100755
--- a/bin/ebuild-helpers/prepman
+++ b/bin/ebuild-helpers/prepman
@@ -1,11 +1,12 @@
#!/bin/bash
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
-[[ " ${FEATURES} " == *" force-prefix "* ]] || \
- case "$EAPI" in 0|1|2) ED=${D} ;; esac
+if ! ___eapi_has_prefix_variables; then
+ ED=${D}
+fi
if [[ -z $1 ]] ; then
mandir="${ED}usr/share/man"
@@ -19,7 +20,7 @@ if [[ ! -d ${mandir} ]] ; then
fi
# replaced by controllable compression in EAPI 4
-has "${EAPI}" 0 1 2 3 || exit 0
+___eapi_has_docompress && exit 0
shopt -s nullglob